#include <bits/stdc++.h>

using namespace std;

const int MaxVal = 100000;

int main() {
  int n;
  cin >> n;
  vector<int> a(n);
  for (int i = 0; i < n; i++) {
    cin >> a[i];
  }
  long long ans = 0;

  // divisors[i] - все делители числа i
  vector<vector<int> > divisors(MaxVal + 1);
  for (int i = 1; i <= MaxVal; i++) {
    for (int j = i; j <= MaxVal; j+=i) {
      divisors[j].push_back(i);
    }
  }

  // c[d] - сколько элементов равно d
  vector <long long> c(MaxVal + 1);

  // f[d] - количество пар, в которых первый элемент равен d
  vector <long long> f(MaxVal + 1); 

  for (int i = n - 1; i >= 0; i--) {
    long long f_a_i = f[a[i]];
    for (int d : divisors[a[i]]) {
      ans += f[d];
      f_a_i += c[d];
    }
    f[a[i]] = f_a_i;
    c[a[i]]++;
  }

  cout << ans << '\n';

}
